﻿<div class="container">
    <div class="card">
        <h3 class="card-title">Skill</h3>

        <button class="btn btn-default btn-success btn-sm" ng-click="CreateSkillfunc()" data-toggle="modal" data-target="#myModal">Add  </button>

        <table class="table table-striped" style="width:100%">

            <thead>

                <tr>
                    <th>#</th>
                    <th>Skill Name</th>
                    <th>No. Of Employees</th>
                </tr>
            </thead>
            <tbody ng-repeat="items in Skills">
                <tr>
                    <td>{{$index+1}}</td>
                    <td>{{items.SkillName}}</td>
                    <td>{{items.NoOfEmp}}</td>
                    <td>
                        <div class="pull-right">
                            <button type="button" class="btn btn-success" ng-click="GetById(items.Id)" data-toggle="modal" data-target="#myModal1">Update </button>
                            <!--<button type="button" class="btn btn-success" ng-click="DeleteSkill(items.Id)">Delete</button>-->
                        </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <!--pagination-->

    </div>
</div>

<!--  ADD TASK-->
<div class="modal fade" id="myModal" role="dialog">
    <div class="modal-dialog">
        <!-- Modal content-->
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">&times;</button>
                <h4 class="modal-title">Add Skill</h4>
            </div>
            <div class="modal-body">
                <form ng-submit="AddSkill(Skill)">
                    <div class="form-group">
                        <label class="control-label">Skill Name:</label>
                        <input class="form-control" type="text" placeholder="SkillName" ng-model="Skill.SkillName">
                    </div>
                    <div>
                        <button type="submit" class="btn btn-primary icon-btn"><i class="fa fa-fw fa-lg fa-check-circle"></i>Save</button>
                        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>




<div class="modal fade" id="myModal1" role="dialog">
    <div class="modal-dialog">
         Modal content
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">&times;</button>
                <h4 class="modal-title">Update Skill</h4>
            </div>
            <div class="modal-body">
                <form ng-submit="UpdateSkill(Skill)">
                    <div class="form-group">
                        <label class="control-label">Skill Name:</label>
                        <input class="form-control" type="text" placeholder="SkillName" ng-model="Skill.SkillName">
                    </div>
                    <div>
                        <button type="submit" class="btn btn-primary icon-btn"><i class="fa fa-fw fa-lg fa-check-circle"></i>Save</button>
                        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>

